Lucene search

K
zdiAnonymousZDI-17-465
HistoryJul 11, 2017 - 12:00 a.m.

Fatek Automation PLC Ethernet Module Configuration Tool Stack-based Buffer Overflow Remote Code Execution Vulnerability

2017-07-1100:00:00
Anonymous
www.zerodayinitiative.com
54

0.028 Low

EPSS

Percentile

90.7%

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Fatek Automation PLC Ethernet Module Configuration Tool. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file. The specific flaw exists within ether_cfg.exe. The issue lies in the failure to properly validate the length of user-supplied data prior to copying it to a fixed-length stack-based buffer. An attacker can leverage this vulnerability to execute arbitrary code under the context of the process.

0.028 Low

EPSS

Percentile

90.7%

Related for ZDI-17-465